EDIT - feature request #7071
feature request # 7431 (New): [MASTER] remaining E4 migration issues

Reenable restore functionality
11/08/2017 10:55 AM - Andreas Muller

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Reviewed Next Major Release

Severity: normal

Description

With e4 we temporarily switched of the restore functionality in taxon navigator (before it could be be switched on via preferences).
This should be switched on again after full migration.

Copy from #6909: "About restoring: Nothing is restored because we decided to start with a fresh workbench every startup. We can
think about re-enabling this after full migration IF we want to. Restoring 10+ name editors was also a performance killer because it
has to load the name editor AND expand the tree to the corresponding node."
For restoring name editor: it is true that it might be performance problem. But only restoring the name editors without linking to the
navigator is usually not a big issue. So we might want to switch of the linking for this somehow. Also we should have restoring as a
preference same as restoring the navigator. With a second preference we could then let the user decide if linking should be switched
of for restoring name editors.
Idea:
e After CdmStore has connected invoke "open Part" command on saved editors.
o Maybe in class LifeCycleManager or CdmStore.
e Editorlnput/UUID can be saved in the local preferences
¢ generic "open Part" command
o |ID: eu.etaxonomy.taxeditor.command.openPart
o command parameter: eu.etaxonomy.taxeditor.workbench.commandparameter.partName

o command value:

For taxon name editors look at EditorUtil.openNameEditor_internal()

Related issues:

Related to EDIT - task #6745: Investigate how e4 model changes affect the cac... New
Related to EDIT - feature request #7015: Migrate recent menu item New
Related to EDIT - bug #7064: NameEditor remaining issues Closed
Related to EDIT - feature request #7007: Migrate IMemento functionality Rejected
Copied from EDIT - feature request #6909: Migrate taxon navigator Closed
Copied to EDIT - feature request #6595: Migrate name editor Closed
History

#1 - 11/08/2017 10:56 AM - Andreas Miiller

- Copied from feature request #6909: Migrate taxon navigator added

#2 - 11/08/2017 10:56 AM - Andreas Miiller
- Copied to feature request #6595: Migrate name editor added

#3 - 12/05/2017 02:02 PM - Andreas Miuller

- Target version changed from Release 4.12 to Release 4.13
#4 - 01/31/2018 12:40 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#5 - 02/09/2018 09:53 AM - Patrick Plitzner

- Tracker changed from bug to feature request

#6 - 02/15/2018 03:26 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#7 - 03/02/2018 10:27 AM - Patrick Plitzner

- Tags set to eclipse4

#8 - 03/23/2018 08:09 AM - Patrick Plitzner

- Target version deleted (Release 5.0)

removing milestone because master ticket is in current release

#9 - 05/16/2018 02:14 PM - Patrick Plitzner

- Status changed from New to Rejected

The E4 migration has been done up to a sufficient state.
This feature was not migrated.
This may be re-visited in #6745.

#10 - 05/16/2018 02:15 PM - Patrick Plitzner

- Related to task #6745: Investigate how e4 model changes affect the cached application model in existing Taxeditor installation added

#11 - 05/18/2018 01:53 PM - Andreas Miiller
- Status changed from Rejected to Feedback

- Target version set to Release 5.1

Can you leave a note why this is rejected and who decided? Are there technical problems related?

#12 - 05/18/2018 01:53 PM - Andreas Miiller

- Related to feature request #7015: Migrate recent menu item added

#13 - 05/18/2018 01:54 PM - Andreas Miiller
- Related to bug #7064: NameEditor remaining issues added

#14 - 05/18/2018 02:08 PM - Andreas Miiller
- Parent task changed from #6565 to #7431

#15 - 05/18/2018 02:12 PM - Andreas Miiller
- Related to feature request #7007: Migrate IMemento functionality added

#16 - 05/18/2018 02:12 PM - Andreas Miiller
- % Done changed from 100 to 0

#17 - 06/25/2018 04:02 PM - Patrick Plitzner

- Target version changed from Release 5.1 to Release 5.2

Moving to the next release because it is not critical

#18 - 06/25/2018 07:13 PM - Andreas Miiller

As this is a master ticket only should we switch from Feedback to InProgress? Suits better IMO.

#19 - 06/25/2018 07:14 PM - Andreas Miiller
Upps, sorry, | see that this is not a master ticket. However, InProgress or New might still be the better status.

#20 - 08/17/2018 04:41 PM - Andreas Miiller
??

#21 - 08/17/2018 04:42 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#22 - 08/20/2018 10:34 AM - Patrick Plitzner

- Status changed from Feedback to New

#23 - 08/22/2018 11:26 AM - Andreas Miiller

- Target version changed from Release 5.3 to Reviewed Next Major Release

#24 - 02/28/2019 11:47 AM - Patrick Plitzner
- Priority changed from New to Priority14

#25 - 11/18/2019 01:20 PM - Andreas Miiller
- Tags changed from eclipse4 to eclipse4, pp_uebergabe

- Assignee changed from Patrick Plitzner to Katja Luther

#26 - 12/06/2019 11:59 AM - Patrick Plitzner
- Tags changed from eclipse4, pp_uebergabe to eclipse4
Idea:

e After CdmStore has connected invoke "open Part" command on saved editors.

e Editorlnput/UUID can be saved in the local preferences
® generic "open Part" command
o ID: eu.etaxonomy.taxeditor.command.openPart
o command parameter: eu.etaxonomy.taxeditor.workbench.commandparameter.partName
o command value:
For taxon name editors look at EditorUtil.openNameEditor_internal()

#27 - 12/06/2019 12:00 PM - Patrick Plitzner
- Description updated

#28 - 12/06/2019 12:05 PM - Patrick Plitzner
- Description updated
